#pragma once
#include <functional>
#include <string>

namespace myapp::rcon {

class connection
{
public:
    virtual ~connection() = default;
    virtual void write(std::string) = 0;
    virtual void on_data(std::function<void(std::string)>) noexcept = 0;
    virtual void on_peer_closed(std::function<void()>) noexcept = 0;
};

} /* namespace myapp::rcon */
